---
title: "Update a mailing list"
slug: "update-a-mailing-list"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to update an email list."
---
# Update a mailing list

`POST /lists/{MailingListID}/update.{Format}`

Updates the properties of an existing email list in your account. You can update the email list name, confirmation page, and redirect page URLs.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| MailingListID | path | string | true | The ID of the email list to be updated. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| Name | body | string | true | The name of the email list. |
| ConfirmationPage | body | string | false | The URL of the page displayed at the end of the subscription process. |
| RedirectAfterUnsubscribePage | body | string | false | The URL of the redirect page when users unsubscribe from your email list. |
| Preferences | body | array | true | The Preferences field options.SelectType The data type of the field.Possible values can be SingleSelect or MultiSelect. Required field.Options Max options 10IsRequired If the field is required. Default value false. |
| PreferencePageId | body | string | false | The preference page id. |

```http
POST https://{hostname}/v3/lists/{MailingListID}/update.{Format}?apikey=

Request body:
{
    "Name":"New List",
    "ConfirmationPage":"www.someUrl.com",
    "RedirectAfterUnsubscribePage":"www.someUrl.com",
    "Preferences": {
        "SelectType": "SingleSelect",
        "Options": \[
            "option a",
            "option b"
        \]
    },
    "PreferencePageId" : null
}
```

```curl
curl --include --globoff --location \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
    "Name": "New List Name",
    "ConfirmationPage": "www.someotherUrl.com",
    "RedirectAfterUnsubscribePage": "www.someUrl.com",
    "Preferences": {
        "SelectType": "SingleSelect",
        "Options": \[
            "option a",
            "option b"
        \]
    },
    "PreferencePageId": null
}' \\
'https://{hostname}/v3/lists/{MailingListID}/update.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": "e5f6c0a3-1fe6-4d89-951e-eafae0b01368"
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - the ID of the updated email list.